# Posts: delete

**Requires [authorization](https://developers.google.com/blogger/docs/3.0/reference/posts/delete#auth)**

Deletes a post by ID.
[Try it now](https://developers.google.com/blogger/docs/3.0/reference/posts/delete#try-it) or [see an example](https://developers.google.com/blogger/docs/3.0/reference/posts/delete#examples).

## Request

### HTTP request

```
DELETE https://www.googleapis.com/blogger/v3/blogs/blogId/posts/postId
```

### Parameters

| Parameter name | Value | Description |
|---|---|---|
| **Required parameters** |||
| `blogId` | `string` | The ID of the blog. |
| `postId` | `string` | The ID of the post. |
| `useTrash` | `boolean` | Move to Trash if possible. Note that only live and scheduled posts can be moved to Trash. |

### Authorization

This request requires authorization with at least one of the following scopes ([read more about authentication and authorization](https://developers.google.com/blogger/docs/3.0/using#auth)).

| Scope |
|---|
| `https://www.googleapis.com/auth/blogger` |

### Request body

Do not supply a request body with this method.

## Response

If successful, this method returns an empty response body.

## Examples

**Note:** The code examples available for this method do not represent all supported programming languages (see the [client libraries page](https://developers.google.com/blogger/docs/3.0/libraries) for a list of supported languages).

### Java

Uses the [Java client library](http://code.google.com/p/google-api-java-client/)

```java
// The BlogId of a test blog.
String TEST_BLOG_ID = "8070105920543249955";

// The PostId of a post to delete
String POST_ID = "3445355871727114160";

// Configure the Java API Client for Installed Native App
HttpTransport HTTP_TRANSPORT = new NetHttpTransport();
JsonFactory JSON_FACTORY = new JacksonFactory();

// Configure the Installed App OAuth2 flow.
Credential credential = OAuth2Native.authorize(HTTP_TRANSPORT,
	JSON_FACTORY, new LocalServerReceiver(),
	Arrays.asList(BloggerScopes.BLOGGER));

// Construct the Blogger API access facade object.
Blogger blogger = Blogger.builder(HTTP_TRANSPORT, JSON_FACTORY)
	.setApplicationName("Blogger-PostsDelete-Snippet/1.0")
	.setHttpRequestInitializer(credential).build();

// The request action.
Delete postsDeleteAction = blogger.posts().delete(TEST_BLOG_ID, POST_ID);

// This step sends the request to the server.
try {
	postsDeleteAction.execute();
	System.out.println("Deleting post " + POST_ID + " succeeded.");
} catch (IOException e) {
	System.out.println("Deleting post " + POST_ID + " failed: " + e);
}
```

## Try it!


Use the APIs Explorer below to call this method on live data and see the response.